qpid::framing::VariableWidthValue Class Reference

Apache Qpid - AMQP Messaging for Java JMS, C++, Python, Ruby, and .NET | Apache Qpid Documentation

- Main Page
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions
qpid::framing::VariableWidthValue Class Reference

`#include <qpid/framing/FieldValue.h>`

List of all members.

## Public Member Functions
| VariableWidthValue ()
| VariableWidthValue (const std::vector< uint8_t > &data)
| VariableWidthValue (const uint8_t *start, const uint8_t *end)
uint32_t | encodedSize () const
void | encode (Buffer &buffer)
void | decode (Buffer &buffer)
bool | operator== (const Data &d) const
bool | convertsToString () const
std::string | getString () const
void | print (std::ostream &o) const
virtual bool | operator== (const Data &) const =0
virtual bool | convertsToInt () const
virtual int64_t | getInt () const

## Constructor & Destructor Documentation

qpid::framing::VariableWidthValue::VariableWidthValue | ( |  | ) | `[inline]`

Definition at line 265 of file FieldValue.h.

qpid::framing::VariableWidthValue::VariableWidthValue | ( | const std::vector< uint8_t > & | data | ) | `[inline]`

Definition at line 266 of file FieldValue.h.

qpid::framing::VariableWidthValue::VariableWidthValue | ( | const uint8_t * | start,
|  | const uint8_t * | end
| ) |  | `[inline]`

Definition at line 267 of file FieldValue.h.

## Member Function Documentation

virtual bool qpid::framing::FieldValue::Data::convertsToInt | ( |  | ) | const`[inline, virtual, inherited]`

Reimplemented in qpid::framing::FixedWidthValue.

Definition at line 75 of file FieldValue.h.

bool qpid::framing::VariableWidthValue::convertsToString | ( |  | ) | const`[inline, virtual]`

Reimplemented from qpid::framing::FieldValue::Data.

Definition at line 286 of file FieldValue.h.

void qpid::framing::VariableWidthValue::decode | ( | Buffer & | buffer | ) | `[inline, virtual]`

Implements qpid::framing::FieldValue::Data.

Definition at line 274 of file FieldValue.h.

References qpid::framing::Buffer::getUInt(), and qpid::framing::Buffer::getRawData().

void qpid::framing::VariableWidthValue::encode | ( | Buffer & | buffer | ) | `[inline, virtual]`

Implements qpid::framing::FieldValue::Data.

Definition at line 269 of file FieldValue.h.

References qpid::framing::Buffer::putUInt(), and qpid::framing::Buffer::putRawData().

uint32_t qpid::framing::VariableWidthValue::encodedSize | ( |  | ) | const`[inline, virtual]`

Implements qpid::framing::FieldValue::Data.

Definition at line 268 of file FieldValue.h.

virtual int64_t qpid::framing::FieldValue::Data::getInt | ( |  | ) | const`[inline, virtual, inherited]`

Reimplemented in qpid::framing::FixedWidthValue.

Definition at line 77 of file FieldValue.h.

std::string qpid::framing::VariableWidthValue::getString | ( |  | ) | const`[inline, virtual]`

Reimplemented from qpid::framing::FieldValue::Data.

Definition at line 287 of file FieldValue.h.

virtual bool qpid::framing::FieldValue::Data::operator== | ( | const Data & |  | ) | const`[pure virtual, inherited]`

bool qpid::framing::VariableWidthValue::operator== | ( | const Data & | d | ) | const`[inline]`

Definition at line 280 of file FieldValue.h.

void qpid::framing::VariableWidthValue::print | ( | std::ostream & | o | ) | const`[inline, virtual]`

Implements qpid::framing::FieldValue::Data.

Definition at line 289 of file FieldValue.h.

The documentation for this class was generated from the following file:

- qpid/framing/FieldValue.h